# Runs_ListRunStatuses

List the status of all Transaction Tax Extract pipeline runs or for a single run.

`GET /v1/companies/{companyId}/Runs`

**API:** Avalara Tax Content - Job and Data Management Service
**Tag:** Runs
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/jobs
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/avalara-tax-content/api/jms/methods/Runs/Runs_ListRunStatuses/

## Description

This endpoint implements a subset of OData-style filtering. For general `$filter` syntax (e.g. `eq`, string literals), see
            [Filtering in AvaTax REST](https://developer.avalara.com/avatax/filtering-in-rest/) on Avalara Developer.
            The generated OpenAPI document also includes an external documentation link for the same page.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | Company ID for which to get runs. |
| `jobId` | string | query | No | Job ID for which to get runs. |
| `limit` | integer | query | No | Integer specifying the maximum number of results to retrieve. |
| `nextToken` | string | query | No | URI encoded continuation token from a previous request. |
| `productType` | string | query | No | accepted values ["default","lodging","autorental","atcm", "special"], default is retail. |
| `$filter` | string | query | No | see https://developer.avalara.com/avatax/filtering-in-rest/, currently a subset is supported. (use 'and', use contains for name and eq for started,status fields) |
| `includeDownloads` | boolean | query | No | Include download information in the response. Default is false. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.JMS.Controllers.RunQueryResponse` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.JMS.Controllers.RunQueryResponse`

| Property | Type | Required | Description |
|---|---|---|---|
| `records` | Avalara.POS.API.JMS.Models.RunStatusModel[] | No | Query result records. |
| `recordCount` | integer | No | The number of records in this result set. Example: `1`. |
| `nextToken` | string | No | Token for retrieving the next set of results, if any. |
| `nextLink` | string | No | URI to retrieve the next set of results, if any. |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/jobs/v1/companies/{companyId}/Runs" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```